Skip to main content
GET
Get detailed album view

Authorizations

Authorization
string
header
required

Rocksky bearer token.

Query Parameters

uri
string
required

The URI of the album to retrieve.

Response

Success

id
string

The unique identifier of the album.

uri
string | null

The URI of the album.

title
string

The title of the album.

artist
string

The artist of the album.

artistUri
string | null

The URI of the album's artist.

year
integer | null

The year the album was released.

albumArt
string<uri> | null

The URL of the album art image.

releaseDate
string | null

The release date of the album.

sha256
string

The SHA256 hash of the album.

playCount
integer

The number of times the album has been played.

Required range: x >= 0
uniqueListeners
integer

The number of unique listeners who have played the album.

Required range: x >= 0
tags
string[]
tracks
object[]
discogs
object

Release metadata matched on Discogs for this album.

createdAt
string
discogsReleaseId
string | null
updatedAt
string<date-time>
xataVersion
integer | null